def compare(name, path):
    from fuzzywuzzy import fuzz 
    import pandas as pd
    import numpy as np
    
    #To get the list of names from the excel sheet
    df = pd.read_excel(open(path,'rb'), sheet_name='Production', delimiter="\t", skiprows=7, header=None)
    df[0] = df[0].str.strip()
    list_of_names = df[0].tolist()
    
    #To start comparing the name that was passed with every values in the list of names
    result = [0,0,0]
    for i in range(len(list_of_names)):
        str1 = name
        str2 = str(list_of_names[i])
        
        Token_Set_Ratio = fuzz.token_set_ratio(str1,str2)
        Ratio = fuzz.ratio(str1.lower(),str2.lower())
        Partial_Ratio = fuzz.partial_ratio(str1.lower(),str2.lower())
        Token_Sort_Ratio = fuzz.token_sort_ratio(str1,str2)
        if Token_Set_Ratio >= 80 or Ratio >= 80 or Partial_Ratio >= 80 or Token_Sort_Ratio >= 80:
            if Token_Set_Ratio >= result[2] or Ratio >= result[2] or Partial_Ratio >= result[2] or Token_Sort_Ratio >= result[2]:
                result = [i,list_of_names[i],max(Token_Set_Ratio, Ratio, Partial_Ratio, Token_Sort_Ratio)]
                
    if result[0] == 0 and result[1] == 0:
        print("NA")
        return 'N/A'
    else:
        print(result[1])
        return result[1]
    

#compare("9A FILMS, INC","C:\\Users\\Q5004\\Downloads\\Filtered Out Clients & Client Codes Clients for Crew.xlsx")

